Summary:	Radiusclient library and tools
Summary(pl.UTF-8):	Biblioteka radiusclient oraz narzędzia
Name:		radiusclient
Version:	0.3.2
Release:	5
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.cityline.net/pub/radiusclient/%{name}-%{version}.tar.gz
# Source0-md5:	dd6a85f2f6fcb944cbf1dddd05ab132f
Patch0:		%{name}-am_ac.patch
Patch1:		%{name}-nolibs.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Radiusclient is a /bin/login replacement which gets called by a getty
to log in a user and to setup the user's login environment. Normal
login programs just check the login name and password which the user
entered against the local password file (/etc/passwd, /etc/shadow). In
contrast to that Radiusclient also uses the RADIUS protocol to
authenticate the user.

%description -l pl.UTF-8
Radiusclient jest zamiennikiem /bin/login wywoływanym przez getty w
celu umożliwienia użytkownikowi zalogowania się. Normalne programy
typu login sprawdzają nazwę użytkownika oraz hasło względem lokalnego
pliku (/etc/passwd, /etc/shadow). W przeciwieństwie do nich
Radiusclient używa także protokołu RADIUS w celu uwierzytelnienia
użytkownika.

%package devel
Summary:	Header files for radiusclient library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki radiusclient
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for radiusclient library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki radiusclient.

%package static
Summary:	Radiusclient static library
Summary(pl.UTF-8):	Statyczna biblioteka radiusclient
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Radiusclient static library.

%description static -l pl.UTF-8
Statyczna biblioteka Radiusclient.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shadow \
	--enable-scp
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES COPYRIGHT README* doc/*.html
%attr(755,root,root) %{_sbindir}/login.radius
%attr(755,root,root) %{_sbindir}/radacct
%attr(755,root,root) %{_sbindir}/radexample
%attr(755,root,root) %{_sbindir}/radlogin
%attr(755,root,root) %{_sbindir}/radstatus
%attr(755,root,root) %{_libdir}/libradiusclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libradiusclient.so.0
%attr(750,root,root) %dir %{_sysconfdir}/radiusclient
%attr(640,root,root) %config(missingok,noreplace) %verify(not md5 mtime size) %{_sysconfdir}/radiusclient/dictionary
%attr(640,root,root) %config(missingok,noreplace) %verify(not md5 mtime size) %{_sysconfdir}/radiusclient/dictionary.ascend
%attr(640,root,root) %config(missingok,noreplace) %verify(not md5 mtime size) %{_sysconfdir}/radiusclient/dictionary.compat
%attr(640,root,root) %config(missingok,noreplace) %verify(not md5 mtime size) %{_sysconfdir}/radiusclient/dictionary.merit
%attr(640,root,root) %config(missingok,noreplace) %verify(not md5 mtime size) %{_sysconfdir}/radiusclient/issue
%attr(640,root,root) %config(missingok,noreplace) %verify(not md5 mtime size) %{_sysconfdir}/radiusclient/port-id-map
%attr(640,root,root) %config(missingok,noreplace) %verify(not md5 mtime size) %{_sysconfdir}/radiusclient/radiusclient.conf
%attr(640,root,root) %config(missingok,noreplace) %verify(not md5 mtime size) %{_sysconfdir}/radiusclient/servers

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libradiusclient.so
%{_libdir}/libradiusclient.la
%{_includedir}/radiusclient.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libradiusclient.a
%changelog
* Fri Mar 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/radiusclient.git;a=log;h=master

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> ff4709c
- x32 rebuild
- release 5 (by relup.sh)

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> fde30ca
- verbose files in system dirs and for config files

* Fri Jan 03 2014 Elan Ruusamäe <glen@delfi.ee> a6cf295
- track soname

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1bd3449
- ghost symlink

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c98549d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9e55252
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> 2dd07a8
- strict internal deps

* Sun Dec 04 2005 Elan Ruusamäe <glen@pld-linux.org> 85f2b57
- adapterized (sorted %verify flags)

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> bcf3ae4
- spaces->tabs
- formatting

* Thu Aug 19 2004 undefine <undefine@pld-linux.org> 29f1132
- release 3

* Thu Nov 27 2003 Jakub Bogusz <qboosh@pld-linux.org> c9951de
- added nolibs patch, fixed License(!), pl fixes, attr cosmetics
- release 2

* Thu Nov 27 2003 Jakub Bogusz <qboosh@pld-linux.org> c04522a
- we don't need no -lnsl; -lcrypt needed only for radlogin

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 39bf9c8
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> ce8f3bb
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> 8863243
- massive attack: no need for 755 for *.la

* Sat Aug 10 2002 kloczek <kloczek@pld-linux.org> b00604d
- "rm -f missing" on top %build.

* Sat Aug 10 2002 Arkadiusz Miśkiewicz <arekm@maven.pl> e9fa38f
- new

* Sat Aug 10 2002 Arkadiusz Miśkiewicz <arekm@maven.pl> 77162e6
- initial pld release

